Bug 728480 - ethtool-3.1 is available
Summary: ethtool-3.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ethtool
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 10:10 UTC by Upstream Release Monitoring
Modified: 2013-07-03 02:38 UTC (History)
3 users (show)

Fixed In Version: ethtool-3.1-1.fc16
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-01 21:21:53 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2011-08-05 10:10:10 UTC
Latest upstream release: 3.0
Current version in Fedora Rawhide: 2.6.39
URL: http://ftp.kernel.org/pub/software/network/ethtool/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2011-12-06 11:29:10 UTC
Latest upstream release: 3.1
Current version in Fedora Rawhide: 2.6.39
URL: http://ftp.kernel.org/pub/software/network/ethtool/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Account closed by user 2011-12-15 08:17:10 UTC
ping!

Version 3.1 - November 16, 2011

	* Fix: Show all non-zero registers for tg3 (-d option)
	* Feature: Add support for external loopback test (-t option)
	* Fix: Show correct flow control registers for Intel 82599 (-d option)
	* Feature: Add support for reporting and configuring numbers of
	  channels/queues (-l and -L options)
	* Feature: Report pause frame autonegotiation result (-a option)
	* Doc: Change device name metavariable from 'ethX' to 'devname'
	* Doc: Fix various layout problems
	* Cleanup: Reorganise and add test cases for argument parsing
	* Fix: Strictly check for extraneous or missing arguments; in
	  particular, fail if the device name is missing

Version 3.0 - August 4, 2011

	* Feature: Report supported pause frame modes
	* Feature: Support firmware dump (-w and -W options)
	* Feature: Report advertised and supported 20G link modes
	* Feature: Add an 'l4data' option for ip4 filters (-U option)
	* Fix: Correct swapped h_source and h_dest fields for ether filters
	  (-U option)
	* Fix: Set ip_ver field correctly for ip4 filters (-U option)
	* Fix: Correct parameter validation for -e and -E options; in
	  particular, treat the 'magic' value as unsigned

Comment 3 Fedora Update System 2011-12-23 22:31:27 UTC
ethtool-3.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ethtool-3.1-1.fc16

Comment 4 Fedora Update System 2011-12-23 22:32:42 UTC
ethtool-3.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ethtool-3.1-1.fc15

Comment 5 Fedora Update System 2011-12-24 20:50:27 UTC
Package ethtool-3.1-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ethtool-3.1-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17426/ethtool-3.1-1.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-01-01 21:21:53 UTC
ethtool-3.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-01-01 21:23:19 UTC
ethtool-3.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.